arrows-rotate-reverseUpdate a commission

Update SubMerchant Commission

put

Update the commission (markup_fee) for a specific SubMerchant.

Path parameters
sub_merchant_idintegerRequired

The ID of the SubMerchant to update.

Example: 18703
Header parameters
Content-TypestringRequired

Media type of the body sent to the API.

Default: application/json
X-Datestring · date-timeRequired

ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)

X-LoginstringRequired

Merchant X-Login API Key.

AuthorizationstringRequired

Authorization control hash.

X-Idempotency-KeystringOptional

Unique idempotency key for ensuring that the same request is not processed more than once.

Body
markup_feenumber · doubleOptional

New commission value that will be charged in transactions of the SubMerchant specified in the URL path.

Example: 2
Responses
chevron-right
200

The commission was updated successfully.

No content

put
/sub_merchants/{sub_merchant_id}/markup_fee

No content

Last updated

Was this helpful?